/*
 * $Id: AsynchronousAction.java,v 1.1 1996/01/19 01:49:54 iansmith Exp $
 * $Author: iansmith $
 * $Log: AsynchronousAction.java,v $
 * Revision 1.1  1996/01/19  01:49:54  iansmith
 * Initial revision
 *
 *
 */

package GIT.GVU.IMAP;
import java.lang.Object;
import java.lang.String;

/**
 * Class to perform a callback action. To use this, make your class 
 * <KBD>implement</KBD> this method. This will get called when you need
 * to perform a callback.  You should hand the object which implements this
 * interface into the appropriate setAction() routine.
 *
 * @version $Id: AsynchronousAction.java,v 1.1 1996/01/19 01:49:54 iansmith Exp $
 * @author Ian Smith
 */
public interface AsynchronousAction {
  /**
   * This method gets called by the toolkit to inform you to perform some asynchronous
   * action. The value of the first parameter is always a string which is the message
   * in response to which this object is being invoked, i.e. "EXPUNGE" or "BYE".
   * The value of the second parameter o varies based on the calback.
   */
  public abstract void run(String msg,Object o);
}
