/*
 *  $Id: InternalErr.java,v 1.2 1996/01/08 05:56:45 iansmith Exp $
 *  $Author: iansmith $
 *  $Log: InternalErr.java,v $
 *  Revision 1.2  1996/01/08 05:56:45  iansmith
 *  RCS keyword modifications.
 *
 *  Revision 1.1  1996/01/06 19:50:42  iansmith
 *  Initial revision
 *
 */

package GIT.GVU.IMAP;

/* need the exception class */
import java.lang.Exception;

/**
 * Signals that the java IMAP system has failed an internal consistency check
 * @version 	$Id: InternalErr.java,v 1.2 1996/01/08 05:56:45 iansmith Exp $
 * @author Ian Smith
 */

public class InternalErr extends Exception {
  /**
   * Constructs a InternalErr with the specified detail message.
   * A detail message is a String that describes this particular error.
   * 
   * Any use of the system which results in an InternalErr being thrown
   * should be reported in a detailed email message to iansmith@cc.gatech.edu.
   * @param s the detail message
   */
  public InternalErr(String s) {
    super(s);
  }
}
